Remote notifications are empty on org.mozilla.ios.FennecEnterprise

RESOLVED FIXED

Status

()

Firefox for iOS
Firefox Accounts
P1
normal
RESOLVED FIXED
10 months ago
10 months ago

People

(Reporter: st3fan, Assigned: st3fan)

Tracking

unspecified
Other
iOS

Firefox Tracking Flags

(fxios8.0+)

Details

(Whiteboard: [MobileCore][AutoPush])

(Assignee)

Description

10 months ago
Thing work well for:

  org.mozilla.ios.Fennec
  https://updates.push.services.mozilla.com/v1/apns/fennec

Notifications arrive and have content.


But for our Nightly build:

  org.mozilla.ios.FennecEnterprise
  https://updates.push.services.mozilla.com/v1/apns/fennecenterprise

Notifications arrive but are empty.

Is this because the fennecenteprise endpoint does not have the correct apns json blob configured?
(Assignee)

Comment 1

10 months ago
Here is a notification that org.mozilla.ios.Fennec received:

2017-06-14 15:50:43 -0400 apsd[92]: <APSCourier: 0x1006b26c0>: Received message for enabled topic 'org.mozilla.ios.Fennec' with payload '{
    aps =     {
        alert =         {
            body = " ";
            title = " ";
        };
        "mutable-content" = 1;
    };
    body = "lKCPGoAACwtlKB7E0UfiMmKTLPioZmdTiJF_5n_6r9RxxJ0XLOGre61BxIEYgZTd0FNocfpqYrNJaH5xtbUJSoq8htP6veYccAQkc1an4XXqYz_HQEBncPDragrDNO_ZRT0DLW3M";
    chid = 4c4ad5259e594210aeaf013d156e72b8;
    con = aesgcm;
    cryptokey = "keyid=p256dh;dh=BN9ITpk3PgGkv0iUC1WtnGG-pOOu6vpNeIkeBn3kqQdqQxsMRKH7gBoaKIhqohwqkAKWYpdMWK9e6xztzM4V92g;p256ecdsa=BHDgfiL1hz4oIBFaxxS9jkzyAVing-W9jjt_7WUeFjSW5U0UCODk5EjC8TQKddJNP3iow7UW6u8JE3t7u_y3Plc";
    enc = "keyid=p256dh;salt=OWS60DwYG80kmMW9L40Mwg";
    ver = "gAAAAABZQZOStaSKMqKa5qBXgNrVuki4AufU7FHlEuij9NsVYkvHBiXC17irITA_Hj35AfJ3PcAl3keM65fVcw6V8QuxfjNBhr4uJIIkyp7yh9VZnVfEJW2NsfZp-jWqZtOPkca6hE7soC5r2QTzCzR93J5p9ysDRdls5jWU44d2mtWKGvZpZM7K0At6e2qMC3jKnwzxxRoi";
}' onInterface: NonCellular  <…>


Here is a message that org.mozilla.ios.FennecEnterprise received:

2017-06-14 14:58:59 -0400 apsd[92]: <APSCourier: 0x10060a120>: Received message for enabled topic 'org.mozilla.ios.FennecEnterprise' with payload '{
    aps =     {
        alert =         {
            body = " ";
            title = " ";
        };
        "mutable-content" = 1;
    };
    body = "ViM6umwHCgPTuI3dw1D0sWCvw1za8oPl1mrSj4rbwlJqwNCPRhak-y2H8teyTDT2gMnJ3bKWca98zPUGfi2TQBILJkalL4Oevm8oQabATW8yCceL-nDQAGG9OnuFLGePfeKYIcI2";
    chid = c7694a0275124433809f7c4e0171c55a;
    con = aesgcm;
    cryptokey = "keyid=p256dh;dh=BMkGqlQVArLfxcuX_EkxnftWFVas_2uySzbSGypPChPTS1QEpkt6khS0T3NsllgGbbBKEdzWN8Eb9RQSHgm6nvs;p256ecdsa=BHDgfiL1hz4oIBFaxxS9jkzyAVing-W9jjt_7WUeFjSW5U0UCODk5EjC8TQKddJNP3iow7UW6u8JE3t7u_y3Plc";
    enc = "keyid=p256dh;salt=BHwuI7se_GPmZExEEJ899w";
    ver = "gAAAAABZQYdy0kaEfxCgEclyI7aOBTD7eqxheCOE6FRqWwKPxa7pRe_ddqxiXoHNxNRoSRFG-swDDAzA7l8PjhA1zN5OAV_Cx8d6ZEB9_14pBkGvL63o7XPOUNAIS2LWNN1lKKefjwtJJLAMrLM_3tViwBnsDI1R-o2w3K4Oee4okctjQAhlyc0pMgBTNbX9d4UW6z88WRm_";
}' onInterface: Non<…>



From a content perspective, this looks fine for both. So this looks to be a client issue.
(Assignee)

Updated

10 months ago
Assignee: nobody → jhugman
Iteration: --- → 1.24
tracking-fxios: --- → 8.0+
Priority: -- → P1
(Assignee)

Comment 2

10 months ago
This also works well on Firefox Beta - still unclear why FennecEnterprise is showing empty notifications.
(Assignee)

Updated

10 months ago
Whiteboard: [MobileCore][AutoPush]
(Assignee)

Updated

10 months ago
Assignee: jhugman → sarentz
(Assignee)

Comment 3

10 months ago
2017-06-15 15:37:20 -0400 apsd[92]: Received incoming push notification for topic: 
org.mozilla.ios.FennecEnterprise but for a completely unknown token
<8f32568a 34a228f1 8a5d15d6 f91ebf68 6a2f2182 eb53aa59 85a57dca ebe57d08>
(Assignee)

Comment 4

10 months ago
I just sent a notification to Nightly, and I observe the following:

On the device:

Firefox Sync
Tap to begin

In the console log:

2017-06-16 09:16:30.209610 -0400	default	NotificationService	NotificationService APNS NOTIFICATION [AnyHashable("chid"): b8d0015cb1e6417dbeaa95793d4b59f6, AnyHashable("enc"): keyid=p256dh;salt=WtaRjDVQ6ZlJuLGh4ZoBNg, AnyHashable("body"): H4Vv9FuglPPWI5ZLkjgNtACeJgjuGXq6-Dr5wJ3vizmpfRm8NtvQzowPi4OIQdz7wUIwa7knIbLduCAKarDfgNHFBoURQmFO3kbCGDoR3JJ0jlYhUxUKDdHehzQgR0Q1X2bl-fqB, AnyHashable("cryptokey"): keyid=p256dh;dh=BFRjxbLE5qZpXdb-nyqCcsRqafv9yTUilC5CTUNPjm1gafUSB_MM0FvfE0YbP0PGLsyHEUEFgf0WhtyMnygYJvE;p256ecdsa=BHDgfiL1hz4oIBFaxxS9jkzyAVing-W9jjt_7WUeFjSW5U0UCODk5EjC8TQKddJNP3iow7UW6u8JE3t7u_y3Plc, AnyHashable("con"): aesgcm, AnyHashable("ver"): gAAAAABZQ9otft3rlLvddB4bTbXoUG8-IC54JDwzqeSoa7uWwLrfJisjJUAujMoyiF-L0H8pvUxSZsGISGCBWPNO2M93pj4fMDYAEeMPF6CgotgGhk62EB_A3EoEEKyjGSlohPDHhDlcUHWGE5dQQZLet9WvQCJ9Gfhi8mXGrSDRLVnHAWUwh6TDcwUZqvXqNvPfHd_X1iO6, AnyHashable("aps"): {
    alert =     {
        body = " ";
        title = " ";
    };
    "mutable-content" = 1;
}]	libswiftFoundation.dylib	3444	0x3a676f	3444: 0x3a676f	1			290392

2017-06-16 09:16:30.209828 -0400	default	NotificationService	APNS ExtensionProfile being created…	libswiftFoundation.dylib	3444	0x3a676f	3444: 0x3a676f	1			290392

2017-06-16 09:16:30.215881 -0400	default	NotificationService	APNS ExtensionProfile … now created	libswiftFoundation.dylib	3444	0x3a676f	3444: 0x3a676f	1			290392



So this means that we received a notification. We handled it in the extension. We set the content to "Firefox Sync" / "Tap to begin".

This means all the basics there are good.
(Assignee)

Comment 5

10 months ago
The "Firefox Sync" / "Tap to begin" message is now pretty consistent for Nightly for me.

(Sorry, this is not Nightly, this is my https://github.com/mozilla-mobile/firefox-ios/pull/2832 branch, in which I fixed something that I thought could be the reason)
(Assignee)

Comment 6

10 months ago
I think this is about an incorrect app group or keychain group. My branch now has a hardcoded value for those two, to rule this out.
(Assignee)

Comment 7

10 months ago
This did the trick ...

https://github.com/mozilla-mobile/firefox-ios/pull/2832/commits/21ca295a4fa2d4b7c0fba662e911dc27017ae8b4

I'll turn that into a decent patch.

Updated

10 months ago
Status: NEW → RESOLVED
Last Resolved: 10 months ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.